<?xml version="1.0"?>
<launch>
    <!-- simulation package without Gazebo -->

  <!-- Gazebo & GUI Configuration -->

  <arg name="rviz"        default="false" doc="Should RVIz be launched?" />
  <arg name="using_rosbag"        default="false" doc="Are some TF datas coming from a rosbag?" />


  <!-- Robot Customization -->
  <arg name="model"      default="gimbal" doc="Name of the gimbal robot to spawn" />
  <arg name="controller"  default="velocity_control"     doc="Which example controller should be started? (One of {cartesian_impedance,model,force}_example_controller)" />

  <arg name="controller_config_file" default="$(find gimbal_control)/config/gimbal_control.yaml" doc="Config file used for defining the ROS-Control controllers."/>
  <arg name="controllers" doc="Controllers that are activated by default."/>
  <arg name="stopped_controllers" doc="Controllers that are initally loaded, but not started."/>


    <param name="/use_sim_time" value="false"/>


 
  <group ns="$(arg model)">



     <!-- Start controllers -->
     <!-- Contains controller_manager -->
    <node name="joint_state_publisher_gui" pkg="joint_state_publisher_gui" type="joint_state_publisher_gui" respawn="false" output="screen">
        <remap from="/joint_states" to="/gimbal/joint_states" />
        <param name="use_gui" value="false" />
        <rosparam param="source_list">["/gimbal/desired_joint_states"]</rosparam>
    </node>


  <!-- Convert joint states to TF transforms for rviz, etc -->
    <node name="robot_state_publisher" pkg="robot_state_publisher" type="robot_state_publisher" respawn="false" output="screen">
       <!-- <remap from="joint_states" to="/gimbal/desired_joint_states" /> -->
       <remap from="joint_states" to="/gimbal/desired_joint_states" />
    </node>    

    <!-- <node name="robot_state_publisher" pkg="robot_state_publisher" type="robot_state_publisher" />
     -->
    <!-- Not necessary for now, but may need to be added later-->
     <!-- need to corresponds to the topic published by the servomotor drivers -->
    <!-- <node name="joint_state_publisher" type="joint_state_publisher" pkg="joint_state_publisher">
      <rosparam param="source_list">[/joint_states] </rosparam>
      <param name="rate" value="50"/>
      
    </node> -->

  </group>

<!--  <node  pkg="rviz" type="rviz" output="screen" name="rviz" args="-d $(find franka_gazebo)/config/franka_sim_description_with_marker.rviz" if="$(arg rviz)"/>-->
<node name="rviz" pkg="rviz"  type="rviz" args="-d $(find gimbal_gazebo_qontrol)/launch/robot.rviz" if="$(arg rviz)"/>



</launch>